## trx 0.5

=== Makefile ===
-include .config

INSTALL ?= install

# Installation paths

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

CFLAGS += -MMD -Wall

LDLIBS_ASOUND ?= -lasound
LDLIBS_OPUS ?= -lopus
LDLIBS_ORTP ?= -lortp

LDLIBS += $(LDLIBS_ASOUND) $(LDLIBS_OPUS) $(LDLIBS_ORTP)

.PHONY:		all install dist clean

all:		rx tx

rx:		rx.o device.o sched.o

tx:		tx.o device.o sched.o

install:	rx tx
		$(INSTALL) -d $(DESTDIR)$(BINDIR)
		$(INSTALL) rx tx $(DESTDIR)$(BINDIR)

dist:
		mkdir -p dist
		V=$$(git describe) && \
		git archive --prefix="trx-$$V/" HEAD | \
			gzip > "dist/trx-$$V.tar.gz"

clean:
		rm -f *.o *.d tx rx

-include *.d

## trx 0.1-3%2Bgit1d4c64d

=== debian/changelog ===
trx (0.1-3+git1d4c64d-0leo1) unstable; urgency=medium

  * New upstream release

 -- Paul Evans <leonerd@leonerd.org.uk>  Tue, 11 Mar 2014 15:37:19 +0000

trx (0.1-0leo1) unstable; urgency=low

  * Initial release

 -- Paul Evans <leonerd@leonerd.org.uk>  Mon, 10 Feb 2014 21:11:54 +0000

=== debian/control ===
Source: trx
Section: unknown
Priority: optional
Maintainer: Paul Evans <leonerd@leonerd.org.uk>
Build-Depends: debhelper (>= 8.0.0),
 libasound2-dev,
 libopus-dev,
 libortp-dev
Standards-Version: 3.9.4
Homepage: http://www.pogo.org.uk/~mark/trx/

Package: trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime audio over IP
 trx is a simple toolset for broadcasting live audio from Linux. It sends and
 receives encoded audio over IP networks, via a soundcard or audio interface.
 .
 It can be used for point-to-point audio links or multicast, eg. private
 transmitter links or audio distribution. In contrast to traditional streaming,
 high quality wideband audio (such as music) can be sent with low-latency,
 typically as low as a few milliseconds, and incredibly fast recovery from
 dropouts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## trx 0.5

=== debian/changelog ===
trx (0.5-3build1) hirsute; urgency=medium

  * Rebuild against new libortp15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2020 14:46:59 +0100

trx (0.5-3) unstable; urgency=low

  * Remove call to bctbx_set_log_level_mask.
    Thanks to Bernhard Schmidt for spotting it (Closes: #976729)

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 17 Dec 2020 14:32:15 +0200

trx (0.5-2) unstable; urgency=medium

  * Source-only upload

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 09 Apr 2020 15:14:46 +0200

trx (0.5-1) unstable; urgency=low

  * Initial release (Closes: #953027)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 03 Mar 2020 15:52:17 +0200

=== debian/control ===
Source: trx
Section: sound
Priority: optional
Maintainer: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libopus-dev,
               libortp-dev
Standards-Version: 4.5.0
Homepage: http://www.pogo.org.uk/~mark/trx/
Vcs-Browser: https://salsa.debian.org/debian/trx
Vcs-Git: https://salsa.debian.org/debian/trx.git
Rules-Requires-Root: no

Package: trx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple toolset for broadcasting live audio
 It sends and receives encoded audio over IP networks, via a soundcard
 or audio interface. It can be used for point-to-point audio links or
 multicast, eg. private transmitter links for a radio station or other
 live audio distribution. In contrast to traditional streaming, high
 quality wideband audio (such as music) can be sent with low-latency,
 typically as low as a few milliseconds, and incredibly fast recovery
 from dropouts.
 .
 It works favourable as a replacement for traditional ISDN lines and
 hardware ISDN codecs.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	make install PREFIX=debian/trx/usr
	# tx and rx are too generic for binary names
	mv debian/trx/usr/bin/rx debian/trx/usr/bin/trx-rx
	mv debian/trx/usr/bin/tx debian/trx/usr/bin/trx-tx
	dh_install

## trx 1.0.3

=== debian/changelog ===
trx (1.0.3-0ddebs1~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 29 Nov 2025 01:11:40 +0100

trx (0.9.2-0ddebs3) unstable; urgency=medium

  * use of dh-exec to reduce complexity of debian/ files

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 27 Nov 2025 22:17:02 +0100

trx (0.9.2-0ddebs2) unstable; urgency=medium

  * config is now saved in ~.config/

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 21 Mar 2025 17:10:59 +0100

trx (0.9.2-0ddebs1) unstable; urgency=medium

  * Initial release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 16 Mar 2025 12:57:11 +0100

=== debian/control ===
Source: trx
Section: games
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec (>=0.3),
 python3,
 meson(>=1.3.0),
 cmake,
 liblua5.4-dev,
 uthash-dev,
 pkgconf,
 libavcodec-dev,
 libavformat-dev,
 libsdl2-dev (>=2.0.12),
 libglew-dev,
 libswscale-dev,
 git
Standards-Version: 4.6.2
Homepage: https://github.com/LostArtefacts/TRX

Package: tr1x
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 common-install-function-ddebs(>=1.18),
 tr1x-data
Description: Reimplementation of Tomb Raider 1 by LostArtefacts
 Released in 1996, Tomb Raider is a groundbreaking action-adventure game
 featuring Lara Croft, a fearless archaeologist on a quest for ancient and
 mysterious artifacts. Armed with her iconic dual pistols, she explores perilous
 tombs, solves complex puzzles, and faces deadly enemies, embarking on an
 adventure that has left a lasting mark on video game history.

Package: tr1x-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for tr1x
 tr1x free data files

Package: tr2x
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 common-install-function-ddebs(>=1.18),
 tr2x-data
Description: Reimplementation of Tomb Raider 2 by LostArtefacts
 Released in xxx, Tomb Raider 2

Package: tr2x-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for tr2x
 tr2x free data files
